Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.control.outputtype
Class PropertiesOutputType

    java.lang.Object
      org.apache.torque.generator.control.outputtype.PropertiesOutputType

All Implemented Interfaces:
  OutputType

    public class PropertiesOutputType

extends Object
implements OutputType

The output type for properties output.

Version:
  $Id: $

Field Summary
`static String` | `KEY` The unique key of the output type.

Constructor Summary
`PropertiesOutputType()`

Method Summary
`String` | `getCommentEnd(String lineBreak)` Returns the end of a comment.
`String` | `getCommentStart(String lineBreak)` Returns the start of a comment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  The unique key of the output type.

  See Also:
    Constant Field Values

Constructor Detail

### PropertiesOutputType

    public PropertiesOutputType()

Method Detail

### getCommentStart

    public String getCommentStart(String lineBreak)

  Returns the start of a comment. It is assumed that the comment itself does not contain line breaks.

  Specified by:
    `getCommentStart` in interface `OutputType`
  Parameters:
    `lineBreak` - the line break for the current output, not null.
  Returns:
    the String which starts a comment, not null.

### getCommentEnd

    public String getCommentEnd(String lineBreak)

  Returns the end of a comment. It is assumed that the comment itself does not contain line breaks.

  Specified by:
    `getCommentEnd` in interface `OutputType`
  Parameters:
    `lineBreak` - the line break for the current output, not null.
  Returns:
    the String which starts a comment, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.